Package org.eclipse.mat.query.annotations.descriptors

# Interface IArgumentDescriptor

All Known Implementing Classes:
  `ArgumentDescriptor`

public interface IArgumentDescriptor
A descriptor for fields annotated with the annotation @Argument.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`Argument.Advice`
`getAdvice()`
Get the `Argument.Advice` provided with the annotation
`Object`
`getDefaultValue()`
Get the default value of the field
`Field`
`getField()`
Get the annotated field
`String`
`getFlag()`
Get the flag which is used in the command line to introduce the argument.
`String`
`getHelp()`
Get any help on the field, for example provided by the annotation `Help`
`String`
`getName()`
Get the name of the parameter, for example the field name of the argument in its class.
`Class<?>`
`getType()`
Get the type of the annotated field
`boolean`
`isArray()`
Check if the annotated field is an array
`boolean`
`isBoolean()`
Check if the annotated field is a boolean or Boolean
`boolean`
`isEnum()`
Check if the annotated field is an Enum
`boolean`
`isList()`
Check if the annotated field is a List
`boolean`
`isMandatory()`
Check if the annotated field is a mandatory parameter
`boolean`
`isMultiple()`
Check if the annotated field is an array or a list

## Method Details

### isMultiple

boolean isMultiple()
Check if the annotated field is an array or a list

Returns:
  true if the annotated field is an array or a list

### isBoolean

boolean isBoolean()
Check if the annotated field is a boolean or Boolean

Returns:
  true if the annotated field is a boolean or Boolean

### getDefaultValue

Object getDefaultValue()
Get the default value of the field

Returns:
  the default value

### getField

Field getField()
Get the annotated field

Returns:
  the field

### getFlag

String getFlag()
Get the flag which is used in the command line to introduce the argument. See `Argument.flag()`.

Returns:
  the flag

### isArray

boolean isArray()
Check if the annotated field is an array

Returns:
  true if the annotated field is an array

### isList

boolean isList()
Check if the annotated field is a List

Returns:
  true if the annotated field is a List

### isEnum

boolean isEnum()
Check if the annotated field is an Enum

Returns:
  true if the annotated field is an Enum

### isMandatory

boolean isMandatory()
Check if the annotated field is a mandatory parameter

Returns:
  true if the annotated field is a mandatory parameter

### getName

String getName()
Get the name of the parameter, for example the field name of the argument in its class.

Returns:
  the name

### getType

Class<?> getType()
Get the type of the annotated field

Returns:
  the class of the field

### getHelp

String getHelp()
Get any help on the field, for example provided by the annotation `Help`

Returns:
  the help string

### getAdvice

Argument.Advice getAdvice()
Get the `Argument.Advice` provided with the annotation

Returns:
  the Advice